GDB (xrefs)

Public Attributes | List of all members
bsd_uthread_ops Struct Reference

## Public Attributes
void(* | supply_uthread )(struct regcache *, int, CORE_ADDR)
void(* | collect_uthread )(const struct regcache *, int, CORE_ADDR)

## Detailed Description

Definition at line 45 of file bsd-uthread.c.

## Member Data Documentation

## ◆ collect_uthread

void(* bsd_uthread_ops::collect_uthread) (const struct regcache *, int, CORE_ADDR)

Definition at line 51 of file bsd-uthread.c.

Referenced by bsd_uthread_set_collect_uthread(), and bsd_uthread_store_registers().

## ◆ supply_uthread

void(* bsd_uthread_ops::supply_uthread) (struct regcache *, int, CORE_ADDR)

Definition at line 48 of file bsd-uthread.c.

Referenced by bsd_uthread_activate(), bsd_uthread_fetch_registers(), and bsd_uthread_set_supply_uthread().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/bsd-uthread.c